<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <style>
            .navbar-container {
                margin: 0;
                padding: 0;
                overflow: hidden;
                background-color: rgb(25, 139, 143);
                max-width:100%;
            }
            .navbar {
                float: right;
            }
            ul {
                list-style-type: none;
                margin: 0;
                padding: 0;
            }
            li {
                float: left;
            }
            li a {
                display: block;
                color: white;
                text-align: center;
                padding: 14px 16px;
                text-decoration: none;
            }
            li a:hover {
                background-color: rgb(9, 97, 100);
            }
            .active {
                background-color: rgb(9, 97, 100);
            }
            .form-container {
                display:flex; 
                flex-direction: column; 
                align-items:center;
                padding: 50px;
                box-sizing: border-box;
            }
            .form {
                width: 400px;
            }
            input[type=text], textarea {
                width: 100%;
                padding: 12px;
                border: 1px solid #ccc;
                border-radius: 4px;
                resize: vertical;
            }
            label {
                padding: 12px 12px 12px 0;
                display: inline-block;
            }
            input[type=submit] {
                background-color: rgb(25, 139, 143);
                color: white;
                padding: 12px 20px;
                border: none;
                border-radius: 4px;
                cursor: pointer;
                float: right;
            }
            input[type=submit]:hover {
                background-color: rgb(9, 97, 100);
            }
            .container {
                border-radius: 5px;
                background-color: #f2f2f2;
                padding: 20px;                
            }
            .col-25 {
                float: left;
                width: 25%;
                margin-top: 6px;
            }
            .col-75 {
                float: left;
                width: 75%;
                margin-top: 6px;
            }
            .row:after {
                content: "";
                display: table;
                clear: both;
            }
        </style>
        <title>Note form</title>
    </head>
    <body>
        <div class = "navbar-container">
            <div class = "navbar">
              <ul>
                <li><a href="/lab-4/">Index</a></li>
                <li><a class = "active" href="/lab-4/add">Add Note</a></li>
                <li><a href="/lab-4/note-list">Note list</a></li>
              </ul>
            </div>
        </div>

        <div class = "form-container">
            <div class = "form">
                <form action="" method="POST">
                    {% csrf_token %}
                    <div class="row">
                        <div class="col-25">
                            <label for="fname">From: </label>
                        </div>
                        <div class="col-75">
                            <input type="text" name="From" id="From" required>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-25">
                            <label for="fname">To: </label>
                        </div>
                        <div class="col-75">
                            <input type="text" name="To" id="To" required>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-25">
                            <label for="fname">Title: </label>
                        </div>
                        <div class="col-75">
                            <input type="text" name="Title" id="Title" required>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-25">
                            <label for="fname">Message: </label>
                        </div>
                        <div class="col-75">
                            <textarea name="Message" id="Message" required placeholder="Enter message..."></textarea>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <input type="submit" value="Submit" id="Submit">
                      </div>
                </form>
            </div>
        </div>
        
    </body>
</html>